package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFGO2Response {

    @Parameter(name = "Atribut")
    String atribut();

    @Parameter(name = "CIF")
    String cif();

    @Parameter(name = "CelkovaHodnotaInvestice")
    Double celkovaHodnotaInvestice();

    @Parameter(name = "CisloSmlouvy")
    String cisloSmlouvy();

    @Parameter(name = "Data")
    java.util.List<MWFGO2Data> data();

    @Parameter(name = "DatumDo")
    java.util.Date datumDo();

    @Parameter(name = "DatumOd")
    java.util.Date datumOd();

    @Parameter(name = "DatumVypoved")
    java.util.Date datumVypoved();

    @Parameter(name = "Hodnota")
    Double hodnota();

    @Parameter(name = "ISIN")
    String isin();

    @Parameter(name = "KlientskeVypisyObchodniFrekvence")
    String klientskeVypisyObchodniFrekvence();

    @Parameter(name = "KlientskeVypisyStavoveFrekvence")
    String klientskeVypisyStavoveFrekvence();

    @Parameter(name = "PobockaRestante")
    String pobockaRestante();

    @Parameter(name = "PocetISINu")
    Long pocetISINu();

    @Parameter(name = "PocetNedorucenychVypisu")
    Long pocetNedorucenychVypisu();

    @Parameter(name = "PremiovyVklad")
    Boolean premiovyVklad();

    @Parameter(name = "ProfilKlienta")
    String profilKlienta();

    @Parameter(name = "StavSmlouvy")
    String stavSmlouvy();

    @Parameter(name = "TerminCisloUctu")
    String terminCisloUctu();

    @Parameter(name = "TerminKodBanky")
    String terminKodBanky();

    @Parameter(name = "TerminMena")
    String terminMena();

    @Parameter(name = "TypSmlouvy")
    String typSmlouvy();

    @Parameter(name = "VyporadaniCisloUctu")
    String vyporadaniCisloUctu();

    @Parameter(name = "VyporadaniKodBanky")
    String vyporadaniKodBanky();

    @Parameter(name = "VyporadaniMena")
    String vyporadaniMena();

    @Parameter(name = "Zdroj")
    Long zdroj();

}